Skip to main content
POST
/
api
/
agent
/
post
Create micro-content post with social adaptations
curl --request POST \
  --url https://www.citedy.com/api/agent/post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "topic": "<string>",
  "platforms": [
    "<string>"
  ],
  "tone": "<string>",
  "imageStyle": "<string>",
  "scheduledAt": "2023-11-07T05:31:56Z",
  "contentType": "short"
}
'
{
  "success": true,
  "postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "adaptations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform": "<string>"
    }
  ],
  "scheduledAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json
topic
string
required
Required string length: 1 - 500
platforms
string[]
Required array length: 1 - 7 elements
tone
string
Maximum string length: 100
imageStyle
string
Maximum string length: 100
scheduledAt
string<date-time>

Must be future date if provided

contentType
enum<string>
default:short
Available options:
short,
detailed

Response

Post created

success
boolean
required
postId
string<uuid>
required
adaptations
object[]
required
scheduledAt
string<date-time> | null
required